## The *open-thunderbird.ps1* Script

open-thunderbird.ps1 


## Parameters
```powershell


[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Source Code
```powershell
<#
.SYNOPSIS
	Launches the Thunderbird app
.DESCRIPTION
	This script launches the Mozilla Thunderbird email application.
.EXAMPLE
	PS> ./open-thunderbird
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

function TryToExec { param($Folder, $Binary)
        if (test-path "$Folder/$Binary" -pathType leaf) {
                start-process "$Folder/$Binary" -WorkingDirectory "$Folder"
                exit 0 # success
        }
}

try {
	TryToExec "C:\Program Files (x86)\Mozilla Thunderbird" "thunderbird.exe"
	throw "It seems Thunderbird isn't installed yet."
} catch {
	& "$PSScriptRoot/speak-english.ps1" "Sorry: $($Error[0])"
}
```

*Generated by convert-ps2md.ps1 using the comment-based help of open-thunderbird.ps1*
